Skip to main content
`Ctrl`+`K`

# PetscHIPSOLVERGetHandle

Get the hipSOLVER handle associated with PETSc’s current `PetscDeviceContext`

## Synopsis

    #include "petscdevice.h"
    PetscErrorCode PetscHIPSOLVERGetHandle(hipsolverHandle_t *handle)

Not Collective; No Fortran Support

## Output Parameter

- handle - the `hipsolverHandle_t` for the current context

## Note

The current device context must be of type `PETSC_DEVICE_HIP`. The returned handle is owned by PETSc and must not be destroyed by the caller.

## See Also

`PetscDeviceContext`, `PetscHIPBLASGetHandle()`, `PetscGetCurrentHIPStream()`

## Level

developer

## Location

src/sys/objects/device/impls/cupm/hip/cupmcontext.hip.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages